from ..config import ConfigUnit
from typing import Optional


class InverterdConfig(ConfigUnit):
    NAME = 'inverterd'

    @classmethod
    def schema(cls) -> Optional[dict]:
        return {
            'remote_addr': cls._addr_schema(required=True),
            'local_addr': cls._addr_schema(required=True),
        }
